Subject: Re: [PATCH net 2/5] tls: fix use-after-free with partial reads and async decrypt

From: Sabrina Dubroca <[email-masked]>
Date: Thu, 7 Sep 2023 15:56:15 +0200

2023-09-06, 19:05:29 -0700, Jakub Kicinski wrote:
> On Wed,  6 Sep 2023 19:08:32 +0200 Sabrina Dubroca wrote:
> > @@ -221,7 +222,8 @@ static void tls_decrypt_done(void *data, int err)
> > 	/* Free the destination pages if skb was not decrypted inplace */
> > 	if (sgout != sgin) {
> 
> This check is always true now, right?
> Should we replace it with dctx->put_outsg?

Ugh, I noticed that when I was debugging, and didn't think about
replacing the test. Yeah, I'll do that in v2.

-- 
Sabrina